> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Suggestions



## OpenAPI

````yaml /api-reference/openapi/storefront.json get /v3/search/suggestions
openapi: 3.1.0
info:
  title: Depict Platform API
  version: '1.0'
  description: >-
    The Depict platform API at api.depict.ai: storefront-facing search,
    listings, recommendations and event tracking for headless integrations. Not
    to be confused with the storefront search API (runway.depict.ai) used by the
    Search by Depict Shopify app.
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v3/search/suggestions:
    get:
      tags:
        - Search
        - V3
      summary: Get Suggestions
      operationId: Get_suggestions_v3_search_suggestions_get
      parameters:
        - name: merchant
          in: query
          required: true
          schema:
            type: string
            title: Merchant
        - name: market
          in: query
          required: true
          schema:
            type: string
            title: Market
        - name: locale
          in: query
          required: true
          schema:
            type: string
            title: Locale
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Session Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10
            minimum: 1
            default: 3
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSuggestionsResponseV3'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SearchSuggestionsResponseV3:
      properties:
        suggestions_request_id:
          type: string
          title: Suggestions Request Id
        suggestions:
          items:
            anyOf:
              - $ref: '#/components/schemas/SuggestionQuerySuggestion'
              - $ref: '#/components/schemas/ListingSuggestion'
          type: array
          title: Suggestions
          description: >-
            List of suggestions for search queries and product listings that
            should be shown to the user while they are typing.
      type: object
      required:
        - suggestions_request_id
        - suggestions
      title: SearchSuggestionsResponseV3
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SuggestionQuerySuggestion:
      properties:
        type:
          type: string
          const: query
          title: Type
          default: query
        query:
          type: string
          title: Query
          description: The suggested search query.
        suggestions_result_id:
          type: string
          title: Suggestions Result Id
      type: object
      required:
        - query
        - suggestions_result_id
      title: SuggestionQuerySuggestion
    ListingSuggestion:
      properties:
        listing_id:
          type: string
          format: uuid
          title: Listing Id
          description: Depict ID of the listing.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ID of the listing in the merchant PIM, CMS or similar.
        listing_type:
          $ref: '#/components/schemas/CollectionKind'
        show_in_breadcrumbs:
          type: boolean
          title: Show In Breadcrumbs
          description: Show or hide this listing in navigation breadcrumbs.
        show_in_quicklinks:
          type: boolean
          title: Show In Quicklinks
          description: Show or hide this listing in quicklinks.
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          description: List of image URLs for the listing.
        title:
          type: string
          title: Title
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        type:
          type: string
          const: listing
          title: Type
          default: listing
        suggestions_result_id:
          type: string
          title: Suggestions Result Id
        ancestors:
          items:
            $ref: '#/components/schemas/ProductListing'
          type: array
          title: Ancestors
          description: >-
            Ordered list of ancestors of the suggested listing, useful for
            navigation breadcrumbs. The first element is the root listing.
      type: object
      required:
        - listing_id
        - listing_type
        - show_in_breadcrumbs
        - show_in_quicklinks
        - image_urls
        - title
        - suggestions_result_id
        - ancestors
      title: ListingSuggestion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CollectionKind:
      type: string
      enum:
        - long_tail_collection
        - campaign
        - category
        - smart_pick
        - style
        - brand
        - look
      title: CollectionKind
    ProductListing:
      properties:
        listing_id:
          type: string
          format: uuid
          title: Listing Id
          description: Depict ID of the listing.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: ID of the listing in the merchant PIM, CMS or similar.
        listing_type:
          $ref: '#/components/schemas/CollectionKind'
        show_in_breadcrumbs:
          type: boolean
          title: Show In Breadcrumbs
          description: Show or hide this listing in navigation breadcrumbs.
        show_in_quicklinks:
          type: boolean
          title: Show In Quicklinks
          description: Show or hide this listing in quicklinks.
        image_urls:
          items:
            type: string
          type: array
          title: Image Urls
          description: List of image URLs for the listing.
        title:
          type: string
          title: Title
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
      type: object
      required:
        - listing_id
        - listing_type
        - show_in_breadcrumbs
        - show_in_quicklinks
        - image_urls
        - title
      title: ProductListing

````